> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 分轨拆分

> 将音乐音轨拆分为多个乐器分轨

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询音乐详情](https://docs.poyo.ai/zh/api-manual/music-series/query-music-detail.md)接口获取结果。

## 使用指南

> [!NOTE]
>
> **人声分离选项：**
>
> * [separate-vocals](https://docs.poyo.ai/zh/api-manual/music-series/vocal-remover/separate-vocals.md)：支持 PoYo 任务音频或 `upload_url`，2 轨拆分，基于 Suno
> * [stem-split](https://docs.poyo.ai/zh/api-manual/music-series/vocal-remover/stem-split.md)：支持 PoYo 任务音频或 `upload_url`，多轨拆分，基于 Suno
> * [upload-and-separate-vocals](https://docs.poyo.ai/zh/api-manual/music-series/vocal-remover/upload-and-separate-vocals.md)：支持上传音频，7 轨拆分

* 此接口将音乐音轨拆分为多个乐器分轨
* 分别生成和声、贝斯、铜管、鼓、音效、吉他、键盘、打击乐、弦乐、合成器、人声、木管和钢琴的独立音轨
* 适用于精细混音或分离特定乐器

## 参数详情

* 来源 A：已完成的 PoYo 音乐任务的 `task_id` 和 `audio_id`
* 来源 B：公开的 `upload_url`

两种来源模式互斥。

## 开发者说明

* 重复提交不会去重；重试状态查询时请复用已返回的任务
* 回调中包含每条分离分轨的下载 URL


## OpenAPI

````yaml zh/api-manual/music-series/vocal-remover/stem-split.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - 分轨拆分 API
  description: 将音乐音轨拆分为多个乐器分轨
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Audio Processing
      summary: 提交分轨拆分任务
      description: 将音乐音轨拆分为多个乐器分轨
      operationId: submitStemSplitTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              stem-split:
                summary: 拆分为多个乐器音轨
                value:
                  model: stem-split
                  callback_url: https://your-domain.com/callback
                  input:
                    task_id: 5c79xxxxbe8e
                    audio_id: e231xxxx-xxxx-xxxx-xxxx-xxxx8cadc7dc
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '409':
          description: 分轨拆分结果已存在
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: 409
                error:
                  message: Stem split already exists for this audio
                  type: conflict_error
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          description: |-
            API 模型标识符。

            此接口必须为 `stem-split`。
          enum:
            - stem-split
          example: stem-split
        callback_url:
          type: string
          format: uri
          description: |-
            用于结果通知的 Webhook 回调 URL。

            该地址会收到 POST 请求，包含分轨拆分完成状态和各音轨的下载 URL。
          example: https://your-domain.com/callback
        input:
          type: object
          oneOf:
            - required:
                - task_id
                - audio_id
              not:
                required:
                  - upload_url
            - required:
                - upload_url
              not:
                anyOf:
                  - required:
                      - task_id
                  - required:
                      - audio_id
          description: 分轨拆分的输入参数
          properties:
            task_id:
              type: string
              description: |-
                音乐生成任务的唯一标识符。

                应为 Generate Music 或 Extend Music 接口返回的 task_id。
              example: 5c79xxxxbe8e
            audio_id:
              type: string
              description: |-
                要进行分轨拆分的具体音轨唯一标识符。

                音乐生成完成后，此 ID 会在回调数据中返回。
              example: e231xxxx-xxxx-xxxx-xxxx-xxxx8cadc7dc
            upload_url:
              type: string
              format: uri
              pattern: ^https?://
              description: HTTP(S) 上传的源音频；与 task_id/audio_id 互斥。
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
              description: 任务唯一标识，用于查询任务状态
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
              description: 任务创建时间，ISO 8601 格式
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
              description: 描述错误原因的错误信息
            type:
              type: string
              example: invalid_request_error
              description: 错误类型标识
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.